API referenceMessages

Get a message

GET
/v2/messages/{id}

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The message id.

Formatuuid

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

The message.

application/json
  1. response
id*string
Formatuuid
conversationId*string
Formatuuid
type*string
Value in"message""note"
direction*string
Value in"inbound""outbound""internal""system"
authorType*string
authorMemberId*|
Formatuuid
kind*string
text*string|null
status*string
failureReason*string|null
media*|null
template*|null
via*string|null
replyToMessageId*|
Formatuuid
metadata*|null
createdAt*string
Example Request
curl -X GET 'https://app.gauge.chat/api/v2/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",  "type": "message",  "direction": "inbound",  "authorType": "string",  "authorMemberId": "76fc4ed4-930e-473e-a8fc-09f425f86e65",  "kind": "string",  "text": "string",  "status": "string",  "failureReason": "string",  "media": {    "mime": "string",    "filename": "string",    "mediaId": "5a8ffac5-2288-485d-b463-90c3cd9941ad"  },  "template": {    "name": "string",    "language": "string"  },  "via": "string",  "replyToMessageId": "666dd795-555f-462a-8c3b-fb8ab1fdc45f",  "metadata": {    "property1": "string",    "property2": "string"  },  "createdAt": "string"}